Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> CGI abuses >> Website Baker Admin Login SQL Injection Vulnerability


Vulnerability Assessment Details

Website Baker Admin Login SQL Injection Vulnerability

Vulnerability Assessment Summary
Checks for admin login SQL injection vulnerability in Website Baker

Detailed Explanation for this Vulnerability Assessment

Summary :

The remote web server contains a PHP script that is vulnerable to SQL
attacks.

Description :

The remote host is running Website Baker, a PHP-based content
management system.

The installed version of Website Baker fails to validate user input to
the username parameter of the 'admin/login/index.php' script before
using it to generate database queries. An unauthenticated attacker
can leverage this issue to bypass authentication, disclose sensitive
information, modify data, or launch attacks against the underlying
database.

See also :

http://archives.neohapsis.com/archives/bugtraq/2005-12/0085.html
http://download.websitebaker.org/websitebaker2/stable/2.6.1/#changelog

Solution :

Enable PHP's 'magic_quotes_gpc' setting or upgrade to Website Baker
version 2.6.1 or later.

Network Security Threat Level:

High / CVSS Base Score : 7.0
(AV:R/AC:L/Au:NR/C:P/I:P/A:P/B:N)

Networks Security ID: 15776

Vulnerability Assessment Copyright: This script is Copyright (C) 2006 Tenable Network Security

Cables, Connectors

Dell PowerEdge R210 4-Core 2.40GHz X3430 16GB RAM 1x2 TB HDD
$140.0
Dell PowerEdge R210 4-Core 2.40GHz X3430 16GB RAM 1x2 TB HDD pictureDell PowerEdge R610 2x L5640 2.26GHz 6 Core 32GB 6x 512GB SATA SSD PERC 6/i
$1525.0
Dell PowerEdge R610 2x L5640 2.26GHz 6 Core 32GB 6x 512GB SATA SSD PERC 6/i pictureDell PowerEdge R610 2x X5570 2.93GHz Quad Core 64GB 6x 512GB SATA SSD PERC 6/i
$1530.0
Dell PowerEdge R610 2x X5570 2.93GHz Quad Core 64GB 6x 512GB SATA SSD PERC 6/i pictureDell PowerEdge R610 2x X5670 2.93GHz 6 Core 96GB 6x 900GB 10K SAS PERC H700
$1715.0
Dell PowerEdge R610 2x X5670 2.93GHz 6 Core 96GB 6x 900GB 10K SAS PERC H700 picture


Discussions

No Discussions have been posted on this vulnerability.